Rotate a signing secret
curl --request POST \
--url https://api.kordio.io/control/v1/workspaces/{workspace_slug}/webhook_endpoints/{id}/rotate \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.kordio.io/control/v1/workspaces/{workspace_slug}/webhook_endpoints/{id}/rotate"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.kordio.io/control/v1/workspaces/{workspace_slug}/webhook_endpoints/{id}/rotate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"url": "<string>",
"enabled_events": [
"action.requires_approval"
],
"status": "active",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"secret": "<string>"
}
}{
"error": {
"message": "Insufficient role",
"code": "insufficient_role"
}
}{
"error": {
"message": "<string>",
"code": "runtime_key_required"
}
}Rotate a signing secret
Requires manage_policy. Returns a new secret, once. The previous secret stops verifying immediately.
POST
/
control
/
v1
/
workspaces
/
{workspace_slug}
/
webhook_endpoints
/
{id}
/
rotate
Rotate a signing secret
Authorizations
An identity bearer token for a person or your backend. Capabilities are per member, per workspace. This credential can manage the workspace and can never authorize an action as an agent.
Response
The endpoint with its new secret.
Show child attributes
Show child attributes